同一平面上の円同士の衝突判定をする

 3年環情_陳 琳  同一平面上の円同士の衝突判定をする はコメントを受け付けていません。
6月 262012
 

円を二つ作る。


# -*- coding: utf-8 -*-
import rhinoscriptsyntax as rs

#判定するために、二つの円の中心と半径を調べる
id = rs.GetObjects("Select circle")
point1 = rs.CircleCenterPoint(id[0])
point2 = rs.CircleCenterPoint(id[1])

radius1 = rs.CircleRadius(id[0])
radius2 = rs.CircleRadius(id[1])

points=[point1,point2]

#円同士の位置判定

a=True
b=False
def Intersection():
#円同士が衝突する場合

    if (distance<r1 and distance>r2):
        print a

#円が外で接するあるいは中で接する
    elif(distance==r1 or distance==r2):
        print "touch"

#内包する場合
    elif(distance<r2):
        print "containing"
#円同士離れている   

  else:
        print b
distance=rs.Distance(point1,point2)
r1=radius1+radius2
r2=abs(radius1-radius2)  #半径差の絶対値

Intersection()

(作成:陳琳)

 Posted by at 9:41 pm

複数のカーブをロフトする

 3年環情_陳 琳  複数のカーブをロフトする はコメントを受け付けていません。
6月 262012
 


# -*- coding: utf-8 -*-
import rhinoscriptsyntax as rs

def drawLoft():
    rs.AddLoftSrf(objs)

objs= rs.GetObjects("pick curves to loft ")
drawLoft()

 (作成:陳琳)

 Posted by at 7:58 pm